package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.service.ISysAsyncTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @author fzq
 */
@RestController
@RequestMapping("/async")
public class SysAsyncController {

    @Autowired
    private ISysAsyncTaskService iSysAsyncTaskService;

    @GetMapping
    public AjaxResult getList(@RequestParam(required = false) Long asyncTaskId,
                              @RequestParam(required = false) Date startTime,
                              @RequestParam(required = false) Date endTime,
                              @RequestParam(required = false) String funcType,
                              @RequestParam(required = false) String userName,
                              Integer current,
                              Integer size) {
        return AjaxResult.success(iSysAsyncTaskService.getList(asyncTaskId, startTime, endTime, funcType, userName, current, size));
    }

}
